facebook chat not working on Empathy in lucid

Bug #542836 reported by Mark Cariaga on 2010-03-20
156
This bug affects 39 people
Affects Status Importance Assigned to Milestone
empathy (Ubuntu)
Medium
Jacob Sparrow

Bug Description

Binary package hint: empathy

facebook caht does not work on empathy using lucid beta

ProblemType: Bug
Architecture: i386
Date: Sat Mar 20 11:13:57 2010
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/bin/empathy
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100312)
Package: empathy 2.29.93-0ubuntu2
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_CA.utf8
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: empathy
Uname: Linux 2.6.32-16-generic i686
XsessionErrors:
 (polkit-gnome-authentication-agent-1:1206): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (Do:1209): Wnck-CRITICAL **: wnck_set_client_type got called multiple times.
 (synaptic:1862): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
 (synaptic:1862): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed

Mark Cariaga (mzc) wrote :
Omer Akram (om26er) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 542477, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Changed in empathy (Ubuntu):
importance: Undecided → Low
status: New → Invalid
Omer Akram (om26er) wrote :

Thanks for taking time to report this bug and help make ubuntu better. mzc can you please tell us that have you opened facebook.com/username and made a user ID of your facebook account? what error you get. this might be a duplicate of bug 542477 . Thanks again.

Changed in empathy (Ubuntu):
status: Invalid → Incomplete

"Disconnected-authentication failed" ; this is the error that shows up

On Sat, 2010-03-20 at 17:42 +0000, Omer Akram wrote:
> Thanks for taking time to report this bug and help make ubuntu better.
> mzc can you please tell us that have you opened facebook.com/username
> and made a user ID of your facebook account? what error you get. this
> might be a duplicate of bug 542477 . Thanks again.
>
> ** Changed in: empathy (Ubuntu)
> Status: Invalid => Incomplete
>

Mark Cariaga (mzc) wrote :

after repeatedly disabling and enabling the account, it finally
connected to facebook... this bug still needs to be checked.

On Sat, 2010-03-20 at 17:42 +0000, Omer Akram wrote:
> Thanks for taking time to report this bug and help make ubuntu better.
> mzc can you please tell us that have you opened facebook.com/username
> and made a user ID of your facebook account? what error you get. this
> might be a duplicate of bug 542477 . Thanks again.
>
> ** Changed in: empathy (Ubuntu)
> Status: Invalid => Incomplete
>

Tristan (talinnell) wrote :

I am facing this bug too, but no matter what I do I have never got it to connect. I only just set up my user name on Facebook in order to use this feature - so I do not know if that is relevant or related in some way.
Tristan

Omer Akram (om26er) wrote :

Tristan can you please try to connect the same account in pidgin and see if it works in pidgin too. at the moment empathy does not have facebook implemented it just uses the method of gtalk, empathy 3.0 will implement facebook fully.

Tristan (talinnell) wrote :

Yes it works fine in Pidgin. Pidgin asks for my email address and not Facebook user name though.

Tristan (talinnell) wrote :

As soon as I tried that, and then opened Empathy again, Empathy is now working, even though it hasn't been for nearly a week. It seems I had to open and use Pidgin first.

Tristan (talinnell) wrote :

I just installed on a new laptop, and this now seems to work for me. I didn't even need to run Pidgin at all, so maybe it has been fixed.

Omer Akram (om26er) wrote :

Marking this fixed. if any one still face this feel free to open this bug again.

Changed in empathy (Ubuntu):
status: Incomplete → Fix Released

I still have this issue, on Lucid Final. Reopened.

Changed in empathy (Ubuntu):
status: Fix Released → Confirmed
Mark Cariaga (mzc) wrote :

It's probably an api issue which happens once in a while also happens in
meebo right now

On Mar 28, 2010 2:45 AM, "Tristan" <email address hidden> wrote:

I am facing this bug too, but no matter what I do I have never got it to
connect. I only just set up my user name on Facebook in order to use this
feature - so I do not know if that is relevant or related in some way.
Tristan

--
facebook chat not working on Empathy in lucid
https://bugs.launchpad.net/bugs/542836
You receiv...
Status in “empathy” package in Ubuntu: Incomplete

Bug description:
Binary package hint: empathy

facebook caht does not work on empathy using lucid b...

Cory Maccarrone (darkstar6262) wrote :

I was having this problem too, but I just got in by specifying my username as:

<username>@chat.facebook.com

where <username> is the username you set up according to empathy's instructions. Maybe that'll work for others?

- Cory

MatthiasA (themaze) wrote :

username>@chat.facebook.com did not work for me.

MatthiasA (themaze) wrote :

After I installed pidgin + facebook plugin the facebook-chat works in Emathy too.
wtf?

Luca Ferretti (elle.uca) wrote :

I'm experiencing this issues in 10.04. Trying to use the "Facebook chat" account type and providing username and password, Empathy fails to authenticate. Instead, using the simple "Jabber account" and specifying full <email address hidden> as username and chat.facebook.com as server (no SSL) it works fine :/

Maybe something goes wrong in Empathy while setting the missing info.

Does not work for me. What Port did you entered?

Luca Ferretti (elle.uca) wrote :

Thorsten, it should be the default one, 5222. Summarizing
  Login ID: <email address hidden>
  Encryption required (SSL/TLS): NO
  Server: chat.facebook.com
  Port: 5222

Attaching a screenshot...

No, sorry. This is not working for me.

Updated Empathy to the new Version from Proposed. And? It works with a regular Facebook Entry!

Lorenzo (deodato-art) wrote :

I can confirm this bug - repeated attempts to log into the facebook chat with Empathy (using 64-bit Lucid 10.04 with the latest updates) did not work.

Using @chat.facebook.com did not work for me either.

Sorry, I misspelt my username.

eagsalazar (eagsalazar) wrote :

Only got it to work after installing pidgin and logging in there first. I *also* had to use <username>@chat.facebook.com.

Andrea Amoroso (heiko81) wrote :

i had the same problem..empathy could not log in to facebook chat..I had uninstalled pidgin previously..now after having installed empathy again and having logged in there to FB chat, returning to empathy it worked perfectly..

Andrea Amoroso (heiko81) wrote :

I forgot to say that I didn't have to use <username>@chat.facebook.com but only the <username>.

Omer Akram (om26er) wrote :

if you have a facebook ID by opening facebook.com/username and you still get the authentication error then please open Help>Debug there select gabble and attach the logs after the authentication error occurs.

Changed in empathy (Ubuntu):
status: Confirmed → Incomplete
importance: Low → Medium
Omer Akram (om26er) wrote :

it might be https://bugzilla.gnome.org/show_bug.cgi?id=619862 which apparently got fixed a few days ago

gcincilla (gcincilla) wrote :

I confirm the bug with 10.04.

madbiologist (me-again) wrote :

The fix mentioned in comment #29 has been included in the latest GNOME development snapshot 2.31.3. From the release notes:

 ========================================
 NEWS: empathy-2.31.3
========================================

NEW in 2.31.3 (07/06/2010)
=============

The "Curtain required call" release.

This new release brings significant improvements to the spell checker.
It should also fix connection issues with Facebook accounts. If you
experienced issues with previous versions you should recreate your account and
give it another try.

Empathy now depends on telepathy-glib 0.11.6.

Bugs fixed:

- Fixed #619862, "Network error" on connecting to Facebook Chat (Guillaume Desmottes)

Omer Akram (om26er) wrote :

well the same commit was also made for 2.30 series. its in empathy 2.30.1.1

Franklin (franklinclark) wrote :

Hey Guys, I had to sign in to facebook.com with my new badger before it worked.

Here's what worked for me:

1. Try and add a facebook account
2. Click "this page" link to create badger
3. Go back to empathy and add facebook account with new badger
4. Login successfully

I think the badger just needed to be activated.

BTW SOMEONE FROM EMPATHY SHOULD WRITE THAT IN THE INSTRUCTION BLURB. <3

Franklin (franklinclark) wrote :

errr

1. Try and add a facebook account
2. Click "this page" link to create badger
3. Login to facebook.com with new badger
4. Go back to empathy and add facebook account with new badger
5. Login successfully

Mark Cariaga (mzc) wrote :

something to work on for 10.10...Thanks franklin for sharing I hope this
helps to people who are just starting to use empathy

On Sat, Jun 12, 2010 at 9:21 PM, Franklin <email address hidden> wrote:

> Hey Guys, I had to sign in to facebook.com with my new badger before it
> worked.
>
> Here's what worked for me:
>
> 1. Try and add a facebook account
> 2. Click "this page" link to create badger
> 3. Go back to empathy and add facebook account with new badger
> 4. Login successfully
>
> I think the badger just needed to be activated.
>
> BTW SOMEONE FROM EMPATHY SHOULD WRITE THAT IN THE INSTRUCTION BLURB. <3
>
> --
> facebook chat not working on Empathy in lucid
> https://bugs.launchpad.net/bugs/542836
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “empathy” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: empathy
>
> facebook caht does not work on empathy using lucid beta
>
> ProblemType: Bug
> Architecture: i386
> Date: Sat Mar 20 11:13:57 2010
> DistroRelease: Ubuntu 10.04
> ExecutablePath: /usr/bin/empathy
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100312)
> Package: empathy 2.29.93-0ubuntu2
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_CA.utf8
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
> SourcePackage: empathy
> Uname: Linux 2.6.32-16-generic i686
> XsessionErrors:
> (polkit-gnome-authentication-agent-1:1206): GLib-CRITICAL **:
> g_once_init_leave: assertion `initialization_value != 0' failed
> (Do:1209): Wnck-CRITICAL **: wnck_set_client_type got called multiple
> times.
> (synaptic:1862): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper:
> assertion `node != NULL' failed
> (synaptic:1862): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper:
> assertion `node != NULL' failed
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/empathy/+bug/542836/+subscribe
>

Didier Roche (didrocks) on 2010-06-14
Changed in empathy (Ubuntu):
status: Incomplete → Fix Committed
Didier Roche (didrocks) wrote :

pushed to -proposed:

empathy (2.30.1.1-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release:
    - empathy_dispatcher_join_muc: assertion failed: (connection_data != NULL)
      when joining favorites rooms while account is connecting
      (Guillaume Desmottes)
     - Possible to open multiple accounts dialog (Danielle Madeley)
     - Fixed build failure due to missing header (Jasper Lievisse
       Adriaanse)
     - Empathy accounts CC module calls textdomain (Rob Bradford)
     - Should call gtk_builder_set_translation_domain on GtkBuilder
       UI components (Rob Bradford)
     - Empathy silently fails importing contacts from Pidgin
       (Guillaume Desmottes) (LP: #550569)
     - Empathy should use port 8001 to connect to freenode irc (Brian Curtis)
       (LP: #568901)
     - IRC account: don't allow to save changes when editing network
       details (Guillaume Desmottes)
     - Incomplete localisation of g-c-c module (Rob Bradford)
     - Avatar chooser can enter infinite loop (Xavier Claessens)
     - configure script not compatible with dash as /bin/sh (Simon McVittie)
     - crash on 0-byte file in log search (Robert McQueen)
     - "Network error" on connecting to Facebook Chat (Guillaume Desmottes)
       (LP: #542836)
     - "Previous Conversations" Search entry is not activatable
       (Guillaume Desmottes)
     - empathy hangs with high cpu load when changing avatar (Xavier
       Claessens)
     - "Join favorites" should deal better with connecting accounts
       (Guillaume Desmottes)
     - Status reported by account dialog is wrong in connman mode
       (Rob Bradford)
     - accounts_dialog_update_status_infobar mixes const and
       allocated strings for message (Rob Bradford)
     - Empathy should not requires that geoclue providers support
       updates (Laurent Bigonville)
     - some messages get dropped when using adium themes (Guillaume
       Desmottes) (LP: #546338)
     - empathy does not set geoclue requirements before asking for
       address/position (Laurent Bigonville)
     - Missing image icon shows up when contact has no avatar
       (Frédéric Péters)
     - Crash when trying to start a camera preview without a camera
       (Sjoerd Simons)
    - updated translations
  * added debian/patches/90_revert_removal_stock_person.patch:
    remove upstream git commit b87a2f274a838e8636c64605506e6ba243c2671a
    ad we don't have gnome-icon-theme 2.30

Testcase:
- run the package from -proposed
- check that you can still discuss and use empathy functions to interact with your friends

Didier Roche (didrocks) wrote :
Changed in empathy (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → Medium

Accepted empathy into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in empathy (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed

I've just rebuilt that package and updated... The bug persists :(

Ah, and I want to underline that before yesterday night (until I changed my DNS, I guess) I didn't have that issue: I was able to connect to facebook without using the "xmpp workaround", but using the "standard" facebook empathy account...

Pedro Villavicencio (pedro) wrote :

I cannot reproduce the bug but I can confirm that the update doesn't cause any regression, Been testing it for a couple of days and did not noticed any regression so far, facebook chat works fine for me as well as MSN, Jabber and IRC. Thanks.

It may be just sign-in familiarity between empathy and pidgin

On Jun 23, 2010 5:30 AM, "Pedro Villavicencio" <email address hidden> wrote:

I cannot reproduce the bug but I can confirm that the update doesn't
cause any regression, Been testing it for a couple of days and did not
noticed any regression so far, facebook chat works fine for me as well
as MSN, Jabber and IRC. Thanks.

--
facebook chat not working on Empathy in lucid
https://bugs.launchpad.net/bugs/542836
You receiv...

Sebastien Bacher (seb128) wrote :

I'm using the new version for a week without issues but I didn't get that issue before so I can't confirm the update fixes it, other changes have been confirmed to be working though so the update should probably be validated

Pedro Villavicencio (pedro) wrote :

Marking this as verification done. Thanks for the feedback.

tags: added: verification-done
removed: verification-needed

Well... I don't think that the verification has been done: only who was not affected by this issue before the update confirmed that the new source works as the previous.
Who has the "network error" facebook chat bug like me is still affected by it also using empathy 2.30.1.1-0ubuntu1

Sebastien Bacher (seb128) wrote :

the stable updates work in a such way that it you fail verification for this one the update will not be accepted, so you will stop a stack of other fixes to reach users. We do validate that this update doesn't break anything which was working and at the same time solved different issues so it's a win and should be shipped to users in lucid-updates. The bug can be reopened then if that's still an issue

Didier Roche (didrocks) on 2010-06-25
Changed in empathy (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 2.30.1.1-0ubuntu1

---------------
empathy (2.30.1.1-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release:
    - empathy_dispatcher_join_muc: assertion failed: (connection_data != NULL)
      when joining favorites rooms while account is connecting
      (Guillaume Desmottes)
     - Possible to open multiple accounts dialog (Danielle Madeley)
     - Fixed build failure due to missing header (Jasper Lievisse
       Adriaanse)
     - Empathy accounts CC module calls textdomain (Rob Bradford)
     - Should call gtk_builder_set_translation_domain on GtkBuilder
       UI components (Rob Bradford)
     - Empathy silently fails importing contacts from Pidgin
       (Guillaume Desmottes) (LP: #550569)
     - Empathy should use port 8001 to connect to freenode irc (Brian Curtis)
       (LP: #568901)
     - IRC account: don't allow to save changes when editing network
       details (Guillaume Desmottes)
     - Incomplete localisation of g-c-c module (Rob Bradford)
     - Avatar chooser can enter infinite loop (Xavier Claessens)
     - configure script not compatible with dash as /bin/sh (Simon McVittie)
     - crash on 0-byte file in log search (Robert McQueen)
     - "Network error" on connecting to Facebook Chat (Guillaume Desmottes)
       (LP: #542836)
     - "Previous Conversations" Search entry is not activatable
       (Guillaume Desmottes)
     - empathy hangs with high cpu load when changing avatar (Xavier
       Claessens)
     - "Join favorites" should deal better with connecting accounts
       (Guillaume Desmottes)
     - Status reported by account dialog is wrong in connman mode
       (Rob Bradford)
     - accounts_dialog_update_status_infobar mixes const and
       allocated strings for message (Rob Bradford)
     - Empathy should not requires that geoclue providers support
       updates (Laurent Bigonville)
     - some messages get dropped when using adium themes (Guillaume
       Desmottes) (LP: #546338)
     - empathy does not set geoclue requirements before asking for
       address/position (Laurent Bigonville)
     - Missing image icon shows up when contact has no avatar
       (Frédéric Péters)
     - Crash when trying to start a camera preview without a camera
       (Sjoerd Simons)
    - updated translations
  * added debian/patches/90_revert_removal_stock_person.patch:
    remove upstream git commit b87a2f274a838e8636c64605506e6ba243c2671a
    ad we don't have gnome-icon-theme 2.30
 -- Didier Roche <email address hidden> Tue, 15 Jun 2010 09:30:00 +0200

Changed in empathy (Ubuntu Lucid):
status: Fix Committed → Fix Released
Steve Beattie (sbeattie) wrote :

Re-opening the lucid task as Treviño (Marco Trevisan) reported that the proposed version had not fixed the issue, but empathy was moved to lucid-updates to push out other bugfixes.

Changed in empathy (Ubuntu Lucid):
status: Fix Released → In Progress
Omer Akram (om26er) wrote :

would anyone facing this issue be kind enough to send this bug upstream please.

theman (office-jemura) wrote :

I had the same problem, solution is really easy ...

Just try the following instruction, and let me know if it works for you ...
--------------------------------------------
EMPATHY PROBLEM

General description:
Empathy can't log in at the facebook chat interface

Do basic check before BUGFIX!
First, control your facebook username and your password, if your your username is active, you can visit your facebook-profile in your web-browser by tipping http://www.facebook.com/#Replace this text between the slashes with your username#/

Important-Note: Your normal name in facebook is NOT the same as your facebook-username, after normal registration on facebook, the facebook-username is normally still NOT set, you have to choose one in your profile settings or by visiting the following link http://www.facebook.com/username/

BUGFIX description:
My solution, after registration of the required facebook-username, wait a few hours, it could take some time until the account is available for any connection from empathy! If it's still not working, open facebook in the webbrowser, go to your profil settings, change your facebook-password once, logout and close your webbrowser. Set the new password in empathy and try to connect again!

Now it should work fine...

Peter Chandler (peterchandler) wrote :

Login to Facbok fails on 10.10

Scott Gilmore (georider) wrote :

I had this issue until I actually visited the "username" page. For example, follow these steps.

- Set up Facebook account in Empathy with username "UserName"
- Try to connect with Empathy (Authentication Failed)
- Visit http://facebook.com/UserName
- Try to connect with Empathy (Success!)

If this workaround can be confirmed and duplicated I believe this would be a facebook issue.

Give it a shot, it cannot hurt!

HTH!

-georider

Lorenzo (deodato-art) wrote :

Hi Scott,

unfortunately the workaround you suggested has already been reported many times, and turns out it does not work for everyone. I believe it is more likely to be an Empathy bug, because if I recall correctly there are several closed-source commercial products that implement the facebook chat feature without showing the issue being discussed :-(

I know it's late but for some who wnat stil use it

Use the jabber protocol:

Access ID : <email address hidden>
password: youpassword

works like a charm. stary stop close or login actions needed.

Changed in empathy (Ubuntu):
assignee: nobody → Jacob Sparrow (sparrow-jacob)
Adolfo Jayme (fitojb) on 2014-03-10
no longer affects: empathy (Ubuntu Lucid)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.